%define upstream_name  Test-LectroTest
%define upstream_version 0.5001

Name:       %{upstream_name}
Version:    %{upstream_version}
Release:    %mkrel 1
Summary:    Easy, automatic, specification-based tests
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:     http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Struct)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(POSIX)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
%description 
This module provides a simple (yet full featured) interface to LectroTest, an
automated, specification-based testing system for Perl. To use it, declare
properties that specify the expected behavior of your software. LectroTest then
checks your software to see whether those properties hold.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%check
%make test

%files
%doc Changes LICENSE META.yml MYMETA.yml README THANKS TODO
%{perl_vendorlib}/Test
%{_mandir}/*/*


%changelog
* Thu Sep 26 2013 sander85 <sander85> 0.5001-1.mga4
+ Revision: 487065
- update to 0.5001

* Sun Jan 13 2013 umeabot <umeabot> 0.3600-5.mga3
+ Revision: 373571
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.3600-4.mga1
+ Revision: 31263
- mageia rebuild
- imported package perl-Test-LectroTest

